Package weka.core.pmml.jaxbbindings

# Class TargetValueCount

java.lang.Object
weka.core.pmml.jaxbbindings.TargetValueCount

public class TargetValueCount extends Object

Java class for TargetValueCount element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TargetValueCount">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="count" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TargetValueCount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getCount()`
  Gets the value of the count property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setCount(double value)`
  Sets the value of the count property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TargetValueCount

    public TargetValueCount()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getCount

    public double getCount()
    Gets the value of the count property.

  - ### setCount

    public void setCount(double value)
    Sets the value of the count property.

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`